package ru.yandex.webmaster3.core.util.conductor;

import java.util.List;

import org.springframework.beans.factory.annotation.Required;

/**
 * @author tsyplyaev
 */
public class ConductorClientForGroup extends ConductorClient {
    private String groupName;

    public List<ConductorHostInfo> listHostsInGroup() throws ConductorException {
        return listHostsInGroup(groupName);
    }

    @Required
    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }
}
